// 控制jq
var w = $(window).width();
var h = $(window).height();
$(function(){
	$('#menuIcon').click(function(){
		if($(this).eq(0).attr('data-type') == 1){
			$(this).attr('data-type', '2');
			$(this).next('div').attr('style', 'height: calc(100vh - 30px); padding: 45px 0;');
		}else{
			$(this).attr('data-type', '1');
			$(this).next('div').attr('style', 'height: 0px; padding: 0 0;');
		}
	});
	$('header #mbMenu nav ul li b').click(function(){
		if($(this).children('i').eq(0).attr('class') == 'fa fa-plus'){
			$(this).parent().next().css('display', 'none');
			$(this).parent().next().slideToggle(300);
			$(this).children('i').attr('class','fa fa-minus');
			$(this).parent().parent().addClass('action');
		}else{
			$(this).parent().next().slideUp("slow");
			$(this).children('i').attr('class','fa fa-plus');
			$(this).parent().parent().removeClass('action');
		}
	});
	$('#openform').click(function(){
		$('form[name="hSearch"] input[name="kw"]').focus();
		if($(this).children('i').attr('class') == 'fas fa-search'){
			$(this).children('i').attr('class', 'fas fa-times');
			$('form[name="hSearch"]').attr('id', 'hSearch');
		}else{
			$(this).children('i').attr('class', 'fas fa-search');
			$('form[name="hSearch"]').attr('id', '');
		}
	});	
	$('#sideNav #sideMenu').click(function(){
		if($('#sideNav >ul').eq(0).attr('class') == 'Cate'){
			$(this).children('span').addClass('open');
			$('#sideNav >ul').addClass('open');
		}else{
			$('#sideNav >ul').removeClass('open');
			$(this).children('span').removeClass('open');
		}
	});
	$('b[data-action="sideOpen"]').click(function(){
		var ul = $(this).parent().parent('li').siblings();
		ul.children('ul').slideUp("slow");
		ul.children().children('b').children('i').attr('class','fa fa-plus');
		ul.removeClass('action');
		if($(this).children('i').eq(0).attr('class') == 'fa fa-plus'){
			$(this).parent().next().slideToggle(300);
			$(this).children('i').attr('class','fa fa-minus');
			$(this).parent().parent().addClass('action');
		}else{
			$(this).parent().next().slideUp("slow");
			$(this).children('i').attr('class','fa fa-plus');
			$(this).parent().parent().removeClass('action');
		}
	});
	$('#goSearch').click(function(){
		$('#hSearch').submit();
	});
	$('#webSeo').marquee({
		duration: 50000
	});
});
//回到顶部
function goTop(){
	$('html,body').animate({'scrollTop':0},600); //滚回顶部的时间，越小滚的速度越快~
}

//jump6
var flagWC = 0;
window.addEventListener('message',function(e){
	if(e.source != window.parent) return;
	if(flagWC > 0) return;
	document.body.style.width = e.data;
	document.body.style.overflowX = "hidden";
	flagWC = 1;
},true);
if(window.top != window && flagWC == 0){
	window.top.postMessage('givemewidth','*');
}